# Other markers & quantity

{% tabs %}
{% tab title="{total\_paid}" %}
Show payment amount in commands.

**Example for FiveM:**

```
say Thank you {discord_username} for your donation of {total_paid} {currency}
```

**Example for Rust:**

```
say Thank you {rust_username} for your donation of {total_paid} {currency}
```

**Example for Minecraft:**

```
say Thank you {minecraft_username} for your donation of {total_paid} {currency}
```

{% endtab %}

{% tab title="{currency}" %}
Show payment currency in commands.

**Example for FiveM:**

```
say Thank you {discord_username} for your donation of {total_paid} {currency}
```

**Example for Rust:**

```
say Thank you {rust_username} for your donation of {total_paid} {currency}
```

**Example for Minecraft:**

```
say Thank you {minecraft_username} for your donation of {total_paid} {currency}
```

{% endtab %}

{% tab title="{expire\_date}" %}
Show subscription expiration date in commands.

**Example for FiveM:**

```
msg {discord_username} Your subscription has been renewed until {expire_date}
```

**Example for Rust:**

```
msg {rust_username} Your subscription has been renewed until {expire_date}
```

**Example for Minecraft:**

```
msg {minecraft_username} Your subscription has been renewed until {expire_date}
```

{% endtab %}

{% tab title="{quantity}" %}
**{quantity}** will be **replaced** by the **quantity chosen by the buyer** in his cart.

{% hint style="info" %}
You must first activate the **Allow quantity choice** option in your product.
{% endhint %}

**Example for FiveM:**

```
give {discord_username} {quantity} apple
```

**Example for Rust:**

```
give {rust_username} {quantity} apple
```

**Example for Minecraft:**

```
give {minecraft_username} {quantity} apple
```

### Quantity multiplier

{% hint style="info" %}
To execute your commands as many times as the quantity selected by the buyer, you can enable the \[**Repeat commands by quantity]** option in the *General Options* section of the product editor.
{% endhint %}

You can also multiply the quantity choosen by the customer like this example: {quantity\*64}

**Example for FiveM:**

Use this command on Tip4serv to give a **bundle of 100$:**

```
giveaccountmoney {fivem_live_id} bank {quantity*100}
```

This will run in your server console after a purchase if the player buys product **4 times**:

```
giveaccountmoney 12 bank 400
```

**Example for Rust:**

Use this command on Tip4serv to give a **bundle of 100$:**

```
deposit {steam_id} {quantity*100}
```

This will run in your server console after a purchase if the player buys product **4 times**:

```
deposit 76561298030563984 400
```

**Example for Minecraft:**

Use this command on Tip4serv to give a **stacks of 10 diamond:**

```
give {minecraft_username} {quantity*10} diamond
```

This will run in your server console after a purchase if the player buys product **4 times**:

```
give Murgator 40 diamond
```

{% endtab %}

{% tab title="{transaction\_id}" %}
Show transaction ID in commands. This marker will be replaced by the Paypal or Stripe transaction ID. It depends on which payment processor the customer used.

**Discord command example:**

```
{discord_username} bought a VIP rank and transaction ID is {transaction_id}
```

**This will run in your server after a purchase:**

Stripe example

```
Yanis#1548 bought a VIP rank and transaction ID is 93D13303W7916582M
```

Paypal example

```
Yanis#1548 bought a VIP rank and transaction ID is pi_3MbaQs34VaitLUXR177YnyCk
```

{% endtab %}

{% tab title="{order\_id}" %}
Show order ID in commands. This marker will be replaced by the Tip4Serv payment ID or subscription ID.

**Discord command example:**

```
{discord_username} bought a VIP rank and order ID is {order_id}
```

**This will run in your server after a purchase:**

```
Yanis#1548 bought a VIP rank and order ID is 112325
```

{% endtab %}

{% tab title="{product\_id}" %}
Show product ID in commands. This marker will be replaced by the Tip4Serv product ID.

**Discord command example:**

```
{discord_username} bought a VIP rank and product ID is {product_id}
```

**This will run in your server after a purchase:**

```
Yanis#1548 bought a VIP rank and product ID is 12
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tip4serv.com/store-setup/server-commands/other-markers-and-quantity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
